Bug 211297 - x11/workrave: Update to 1.10.15, take maintainership
Summary: x11/workrave: Update to 1.10.15, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://github.com/rcaelers/workrave/...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-07-22 15:36 UTC by Tobias Kortkamp
Modified: 2016-08-04 19:07 UTC (History)
1 user (show)

See Also:


Attachments
workrave.diff (18.98 KB, patch)
2016-07-22 15:36 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details | Diff
workrave.diff (18.97 KB, patch)
2016-07-22 15:48 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details | Diff
workrave.diff (18.97 KB, patch)
2016-07-22 15:49 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details | Diff
workrave.diff (13.07 KB, patch)
2016-07-27 09:36 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details | Diff
workrave.diff (16.69 KB, patch)
2016-08-03 14:42 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2016-07-22 15:36:58 UTC
Created attachment 172838 [details]
workrave.diff

- Switch to Gtkmm 3.0
- Switch to GitHub
- Take maintainership
- Move sound output to external script and remove PULSEAUDIO and GSTREAMER options keeping dependencies small
- See URL for changes since 1.10.1

No GNOME/XFCE/Cinnamon applets are build atm.  I don't use them myself so I can't test them and haven't added support for them.  If someone wants them they should let me know.  The trayicon works fine.

Poudriere testport in FreeBSD 9.3/i386 jail is fine.  portlint warns about maybe adding an NLS option, which I tried to do but I'd like to maintain my sanity so leaving this out for now seems worthwhile.

Setting maintainer-approval to + since the port has no maintainer.
Comment 1 Tobias Kortkamp freebsd_committer 2016-07-22 15:48:23 UTC
Created attachment 172839 [details]
workrave.diff
Comment 2 Tobias Kortkamp freebsd_committer 2016-07-22 15:49:34 UTC
Created attachment 172840 [details]
workrave.diff

Ah, sorry about that. Small change in default options.
Comment 3 Tobias Kortkamp freebsd_committer 2016-07-27 09:36:49 UTC
Created attachment 173032 [details]
workrave.diff

Bringing back the GSTREAMER option, which I should never have removed in the first place.  Also adds a missing build dependency on gobject-introspection.  I'm unsure why this problem didn't surface while building in a FreeBSD 9.3/i386 jail.

Poudriere testport (FreeBSD 10.3/amd64) ok, portlint ok (minus NLS warning).
Comment 4 Kurt Jaeger freebsd_committer 2016-07-31 19:17:21 UTC
testbuilds@work
Comment 6 Tobias Kortkamp freebsd_committer 2016-08-03 14:42:05 UTC
Created attachment 173228 [details]
workrave.diff

It was missing an #include <ctime>.  I restored an old patch which was apparently there for a reason (added in ports r356693).  I've added a comment to it so we know why it's there.

Poudriere@FreeBSD 9.3/i386 ok and lightly build tested in a fresh FreeBSD 11.0-BETA2 VM.
Comment 7 Kurt Jaeger freebsd_committer 2016-08-04 19:06:04 UTC
testbuilds are fine, committed, thanks!
Comment 8 commit-hook freebsd_committer 2016-08-04 19:07:02 UTC
A commit references this bug:

Author: pi
Date: Thu Aug  4 19:06:02 UTC 2016
New revision: 419649
URL: https://svnweb.freebsd.org/changeset/ports/419649

Log:
  x11/workrave: 1.10.1 -> 1.10.15

  - Switch to Gtkmm 3.0
  - Switch to GitHub
  - Take maintainership
  - Move sound output to external script and remove PULSEAUDIO and
    GSTREAMER options keeping dependencies small
  - See URL for changes since 1.10.1
  - submitter becomes maintainer

  No GNOME/XFCE/Cinnamon applets are build atm. Submitter does not use them
  so can't test them and has not added support for them. If
  someone wants them please submit patches. The trayicon works fine.

  PR:		211297
  Submitted by:	Tobias Kortkamp <t@tobik.me>

Changes:
  head/x11/workrave/Makefile
  head/x11/workrave/distinfo
  head/x11/workrave/files/patch-System.cc
  head/x11/workrave/files/patch-backend__include__ICore.hh
  head/x11/workrave/files/patch-backend_include_ICore.hh
  head/x11/workrave/files/patch-backends__src__unix__Makefile.in
  head/x11/workrave/files/patch-common_src_Locale.cc
  head/x11/workrave/files/patch-configure
  head/x11/workrave/files/patch-configure.ac
  head/x11/workrave/files/patch-frontend__common__src__Makefile.in
  head/x11/workrave/files/patch-frontend_common_src_ScreenLockCommandline.cc
  head/x11/workrave/pkg-descr
  head/x11/workrave/pkg-plist